> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/cmdlets/remove-rasavdhost.md).

# Remove-RASAVDHost

## SYNOPSIS

The cmdlet removes an object of type Azure Virtual Desktop Host.

## SYNTAX

```powershell
Remove-RASAVDHost [[-SiteId] <uint>] -AzureId <string> -HostPoolId <uint> [<CommonParameters>]
```

```powershell
Remove-RASAVDHost [[-SiteId] <uint>] -ProviderId <uint> -VMId <string> [<CommonParameters>]
```

## DESCRIPTION

The cmdlet removes an object of type Azure Virtual Desktop Host.

## EXAMPLES

### Example 1

```powershell
Remove-RASAVDHost -HostPoolID 1 -AzureID "/subscriptions/b64739563-74S9-849s-ks94-89sa5nbj83oe/resourceGroups/My-Resource-Group/providers/Microsoft.Compute/virtualMachines/My-Virtual-Machine"
```

Removes an AVD Host from a Standalone AVD Host Pool.

### Example 2

```powershell
Remove-RASAVDHost -ProviderId 1 -SiteId 1 -VMID "42311235-09c5-ca15-337d-b9723015edf0"
```

Removes AVD Hosts from a Templated AVD Host Pool.

## PARAMETERS

### -ProviderId

The Provider ID.

```yaml
Type: uint
Required: True
Position: Named
Default value: 0
Accept pipeline input: False
Accept wildcard characters: False
```

### -VMId

The VM ID.

```yaml
Type: string
Required: True
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -HostPoolId

Host Pool Id.

```yaml
Type: uint
Required: True
Position: Named
Default value: 0
Accept pipeline input: False
Accept wildcard characters: False
```

### -AzureId

The Azure Host ID.

```yaml
Type: string
Required: True
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -SiteId

Site ID from which to retrieve the AVD Host information.

If the parameter is omitted, the Licensing Server site ID will be used.

```yaml
Type: uint
Required: False
Position: 1
Default value: 0
Accept pipeline input: False
Accept wildcard characters: False
```

### CommonParameters

This cmdlet supports the common parameters: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutVariable, -OutBuffer, -PipelineVariable, -Verbose, -WarningAction, and -WarningVariable. For more information, see [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

## INPUTS

### None

## OUTPUTS

### None

## RELATED LINKS

* [Get-RASAVDHost](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/cmdlets/get-rasavdhost.md)
* [New-RASAVDHost](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/cmdlets/new-rasavdhost.md)
* [Invoke-RASAVDHost](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/cmdlets/invoke-rasavdhost.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/cmdlets/remove-rasavdhost.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
